mount_providers

Provides the mounttab and mountpoint resource types.

Puppet

puppetlabs

531,494 downloads

34,092 latest version

5.0 quality score

Version information

  • 2.0.1 (latest)
  • 2.0.0
  • 1.0.0
  • 0.0.3
  • 0.0.2
  • 0.0.1
released Mar 27th 2019
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x
  • Puppet >= 5.0.0 < 7.0.0
  • RedHat
    ,
    CentOS
    ,
    OracleLinux
    ,
    Scientific
    ,
    SLES
    ,
    Debian
    ,
    Ubuntu
    ,
    Solaris

Start using this module

Documentation

puppetlabs/mount_providers — version 2.0.1 Mar 27th 2019

Mount Providers

This module is designed to provide additional functionality and support the native mount type inside of Puppet. The module provides two additional resource types not provided by Puppet core:

  • mountpoint
  • mounttab

Please see the output of puppet describe mountpoint and puppet describe mounttab for more information about the types and providers supplied by this module.

Installation

This module is installable from the Puppet Forge using the puppet module command.

$ puppet module install puppetlabs-mount_providers

Source

Known Issues

This module will cause puppet describe to throw an error on Puppet versions between 2.6.8 and 2.6.14. The error is:

root@ubuntu-10:/etc/puppetlabs/puppet/modules# puppet describe mounttab
Could not run: Could not autoload /etc/puppetlabs/puppet/modules/puppetlabs-mount-providers/lib/puppet/type/mountpoint.rb:undefined method 'downcase' for nil:NilClass

Puppet has been patched to fix this bug. Please see Issue 13070 for details about when this fix has been released.